> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Data Insert (Bulk) API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/automation/api-list)</Badge>

Used to insert bulk data into a Data Table.

| Field             | Value                                                                                                                            |
| ----------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| **Method**        | POST                                                                                                                             |
| **Endpoint**      | `https://{{host}}/api/public/tables/{{tableName}}/bulk`                                                                          |
| **Content Type**  | `application/json`                                                                                                               |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction/#generating-the-jwt-token). |
| **App Access**    | Write access to the Data Table from the Data Definition in DaaS.                                                                 |

## Path Parameters

| Parameter   | Description                                               |
| ----------- | --------------------------------------------------------- |
| `host`      | Environment URL, for example, `https://platform.kore.ai`. |
| `tableName` | Name of the table to insert bulk data into.               |

## Sample Request

```bash theme={null}
curl -X POST 'https://{{host}}/api/public/tables/{{tableName}}/bulk' \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
  -H 'content-type: application/json' \
  -d '{
      "data": [
         {
          "First_Name": "Jane",
          "Last_Name": "Smith",
          "Gender": "female",
          "Number": 263
         },
         {
           "First_Name": "Mike",
           "Last_Name": "Mike",
           "Gender": "male",
           "Number": 234
         }
       ]
     }'
```

## Body Parameters

| Parameter | Description                                                              |
| --------- | ------------------------------------------------------------------------ |
| `data`    | Array of objects with `column_name: value` pairs for each row to insert. |

<Note>
  The maximum payload size is 50 MB. To ensure the payload is within the limit, paste the entire payload in a JSON file and check its size before running the API.
</Note>

## Sample Response

```json theme={null}
{
  "records": [
    {
      "First_Name": "Jane",
      "Last_Name": "Smith",
      "Gender": "female",
      "Number": 263,
      "Updated_On": "2020-03-28T07:02:09.652Z",
      "Created_On": "2020-03-28T07:02:09.652Z",
      "Updated_By": "st-98e05480-0257-5e35-b6d2-66a3238xxxxx",
      "Created_By": "st-98e05480-0257-5e35-b6d2-66a3238xxxxx",
      "sys_Id": "sys-545dae21-8675-5a95-9c1b-a223bc6xxxxx",
      "_id": "27eh4823jh43246jnn24xxxxx"
    },
    {
      "First_Name": "Mike",
      "Last_Name": "Mike",
      "Gender": "male",
      "Number": 234,
      "Updated_On": "2020-03-28T07:02:09.652Z",
      "Created_On": "2020-03-28T07:02:09.652Z",
      "Updated_By": "st-98e05480-0257-5e35-b6d2-66a3238xxxxx",
      "Created_By": "st-98e05480-0257-5e35-b6d2-66a3238xxxxx",
      "sys_Id": "sys-545dae21-8675-5a95-9c1b-a223bc6xxxxx",
      "_id": "27eh4823jh43246jnn24xxxxx"
    }
  ]
}
```
